#!/usr/bin/make

# frshuf.mak Version 0.2.0 - Compile Fischer Random Shuffle
# Copyright (C) 2004-2010  dondalah721@yahoo.com (Dondalah)

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

# Contents of libfrshuf.a

OBJ=shflinit.o \
	shflcomb.o \
	shuffle.o \
	rnd.o \
	rndinit.o \
	rndpwr.o \
	rndnum.o \
	getmd5.o \
	md5c.o

CC=gcc

CFLAGS=-c -Wall -O6 -I.

LDFLAGS=-L. -lfrshuf

all:		libfrshuf.a tst frsfen

frsfen:			libfrshuf.a frsfen.o
	$(CC) -Wall -O6 frsfen.o -o frsfen $(LDFLAGS)

tst:			libfrshuf.a tst.o
	$(CC) -Wall -O6 tst.o -o tst $(LDFLAGS)

libfrshuf.a:		$(OBJ)
	rm -f libfrshuf.a
	ar r libfrshuf.a $(OBJ)

frsfen.o:		frsfen.c
	$(CC) $(CFLAGS) frsfen.c

tst.o:			tst.c
	$(CC) $(CFLAGS) tst.c

shflinit.o:		shflinit.c
	$(CC) $(CFLAGS) shflinit.c

shflcomb.o:		shflcomb.c
	$(CC) $(CFLAGS) shflcomb.c

shuffle.o:		shuffle.c
	$(CC) $(CFLAGS) shuffle.c

rnd.o:			rnd.s
	$(CC) $(CFLAGS) rnd.s

rndinit.o:		rndinit.c
	$(CC) $(CFLAGS) rndinit.c

rndpwr.o:		rndpwr.s
	$(CC) $(CFLAGS) rndpwr.s

rndnum.o:		rndnum.s
	$(CC) $(CFLAGS) rndnum.s

getmd5.o:		getmd5.c
	$(CC) $(CFLAGS) getmd5.c

md5c.o:			md5c.c
	$(CC) $(CFLAGS) md5c.c

clean:
	rm -f $(OBJ) libfrshuf.a tst.o tst
	rm -f frsfen.o frsfen
